package com.zw.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;
/**
 * 新闻信息索引结果信息
 * @author sjz
 */
@Component
@Scope("prototype")
public class NewsResult  implements Serializable{

	private static final long serialVersionUID = 8646767260773431431L;
	/**
	 * 新闻地址
	 */
	private String url;//新闻链接
	/**
	 * 新闻标题
	 */
	private String title;//新闻标题
	/**
	 * 新闻内容
	 */
	private String content;//新闻内容
	/**
	 * 新闻来源
	 */
	private String source;//新闻来源
	/**
	 * rsid
	 */
	private String rsid;//rsid
	/**
	 * 新闻日期
	 */
	private String time;//新闻日期
	/**
	 * 新闻类型
	 */
	private String pt;//新闻类型
	/**
	 * 债券统一代码
	 */
	private Long bondUniCode;//唯一债券
	/**
	 * 股票统一代码
	 */
	private Long stkUniCode;//唯一股票
	/**
	 * 代码
	 */
	private String code;//证券代码
	/**
	 * 简称
	 */
	private String shortName;//股票证券简称
	/**
	 * 关联组合
	 */
	private String combination;//关联组合
	/**
	 * 关联证券
	 */
	private String orgSec;//关联证券
	/**
	 * 关联机构
	 */
	private String OrgChiName;//关联机构
	/**
	 * 发债人
	 */
	private String fzr;//excel中读取的发债人
	/**
	 * type字段
	 */
	private String type;//新闻类型
	/**
	 * 负面关键词
	 */
	private String keyValue;//负面关键字
	/**
	 * 新闻类型(持仓、机构、行业等)
	 */
	private String key;//属于什么新闻（持仓、机构、行业）
	private String mainType;
	private String rootSource;
	public String getRootSource() {
		return rootSource;
	}
	public void setRootSource(String rootSource) {
		this.rootSource = rootSource;
	}
	public String getMainType() {
		return mainType;
	}
	public void setMainType(String mainType) {
		this.mainType = mainType;
	}
	public String getFzr() {
		return fzr;
	}
	public String getKey() {
		return key;
	}
	public void setKey(String key) {
		this.key = key;
	}
	public void setFzr(String fzr) {
		this.fzr = fzr;
	}
	public String getKeyValue() {
		return keyValue;
	}
	public void setKeyValue(String keyValue) {
		this.keyValue = keyValue;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getSource() {
		return source;
	}
	public void setSource(String source) {
		this.source = source;
	}
	public String getRsid() {
		return rsid;
	}
	public void setRsid(String rsid) {
		this.rsid = rsid;
	}
	public String getTime() {
		return time;
	}
	public void setTime(String time) {
		this.time = time;
	}
	public String getPt() {
		return pt;
	}
	public void setPt(String pt) {
		this.pt = pt;
	}
	public String getShortName() {
		return shortName;
	}
	public void setShortName(String shortName) {
		this.shortName = shortName;
	}
	public String getCombination() {
		return combination;
	}
	public void setCombination(String combination) {
		this.combination = combination;
	}
	public String getOrgSec() {
		return orgSec;
	}
	public void setOrgSec(String orgSec) {
		this.orgSec = orgSec;
	}
	public String getOrgChiName() {
		return OrgChiName;
	}
	public void setOrgChiName(String orgChiName) {
		OrgChiName = orgChiName;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	public Long getBondUniCode() {
		return bondUniCode;
	}
	public void setBondUniCode(Long bondUniCode) {
		this.bondUniCode = bondUniCode;
	}
	public Long getStkUniCode() {
		return stkUniCode;
	}
	public void setStkUniCode(Long stkUniCode) {
		this.stkUniCode = stkUniCode;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	@Override
	public String toString() {
		return "NewsResult [url=" + url + ", title=" + title + ", content=" + content + ", source=" + source + ", rsid="
				+ rsid + ", time=" + time + ", pt=" + pt + ", bondUniCode=" + bondUniCode + ", stkUniCode=" + stkUniCode
				+ ", code=" + code + ", shortName=" + shortName + ", combination=" + combination + ", orgSec=" + orgSec
				+ ", OrgChiName=" + OrgChiName + ", fzr=" + fzr + ", type=" + type + ", keyValue=" + keyValue + ", key="
				+ key + "]";
	}
	
	
}
